Heygen · v2 · Translate · Precision
集成
模型 id
heygen/v2/translate/precision
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/heygen/v2/translate/precision?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"output_language": "English"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/heygen/v2/translate/precision?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"output_language": "English"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"output_language": "English",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/heygen/v2/translate/precision", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/zh/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "heygen/v2/translate/precision",
"input": {
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"output_language": "English"
}
}
通过 Doitong API 调用 Heygen · v2 · Translate · Precision 模型(heygen/v2/translate/precision)。智能体文档:https://doitong.com/zh/developers/models/heygen/v2/translate/precision.md
POST https://api.doitong.com/v1/run/heygen/v2/translate/precision?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"output_language": "English"
}
如果响应状态为 "queued" 或 "running",请轮询 GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20,直到状态变为 "succeeded";文件位于 outputs[].url。使用相同请求体 POST https://api.doitong.com/v1/quote/heygen/v2/translate/precision,可在运行前返回确切价格。
与示例类似的文件: $1.00 1,000 API 积分 运行前会测量你的文件 在此页面运行
你的新 API 密钥。 它仅在此时显示,并且已填入下方的代码和 API 密钥字段中。请妥善保密:切勿将其放入在浏览器中运行的代码。
构建请求
控件根据模型架构生成。更改控件时,代码和价格会同步更新。
POST
/run/heygen/v2/translate/precision?wait=20
报价 → $1.00
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/heygen/v2/translate/precision?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"output_language": "English"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/heygen/v2/translate/precision?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"output_language": "English"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"output_language": "English",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/heygen/v2/translate/precision", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "heygen/v2/translate/precision",
"input": {
"video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"output_language": "English"
},
"wait_seconds": 20
}
}
}
关于 Heygen · v2 · Translate · Precision
将视频中的语音翻译为目标 `output_language`;显示的列表包含英语、西班牙语、法语、印地语和日语在内的 178 种语言。源视频最长可达 8 分钟。可以仅翻译音轨、设置 `speaker_num`、应用品牌术语表、提供自定义 SRT,并请求 SRT 字幕文件。这是 precision 变体。
参数
发送规范名称或原生名称之一,不要同时发送两者。 规范名称
名称类型
默认值允许值
描述
video_url必填
video
类型url · video
用于翻译的源视频 URL;视频时长不得超过 8 分钟。
output_language必填
类型enum
EnglishSpanishFrenchHindiItalianGermanPolishPortugueseChineseJapaneseDutchTurkishKoreanDanishArabicRomanian
另外 162 个
MandarinFilipinoSwedishIndonesianUkrainianGreekCzechBulgarianMalaySlovakCroatianTamilFinnishRussianAfrikaans (South Africa)Albanian (Albania)Amharic (Ethiopia)Arabic (Algeria)Arabic (Bahrain)Arabic (Egypt)Arabic (Iraq)Arabic (Jordan)Arabic (Kuwait)Arabic (Lebanon)Arabic (Libya)Arabic (Morocco)Arabic (Oman)Arabic (Qatar)Arabic (Saudi Arabia)Arabic (Syria)Arabic (Tunisia)Arabic (United Arab Emirates)Arabic (Yemen)Armenian (Armenia)Azerbaijani (Latin, Azerbaijan)Bangla (Bangladesh)BasqueBengali (India)Bosnian (Bosnia and Herzegovina)Bulgarian (Bulgaria)Burmese (Myanmar)CatalanChinese (Cantonese, Traditional)Chinese (Jilu Mandarin, Simplified)Chinese (Mandarin, Simplified)Chinese (Northeastern Mandarin, Simplified)Chinese (Southwestern Mandarin, Simplified)Chinese (Taiwanese Mandarin, Traditional)Chinese (Wu, Simplified)Chinese (Zhongyuan Mandarin Henan, Simplified)Chinese (Zhongyuan Mandarin Shaanxi, Simplified)Croatian (Croatia)Czech (Czechia)Danish (Denmark)Dutch (Belgium)Dutch (Netherlands)English (Australia)English (Canada)English (Hong Kong SAR)English (India)English (Ireland)English (Kenya)English (New Zealand)English (Nigeria)English (Philippines)English (Singapore)English (South Africa)English (Tanzania)English (UK)English (United States)Estonian (Estonia)Filipino (Philippines)Finnish (Finland)French (Belgium)French (Canada)French (France)French (Switzerland)GalicianGeorgian (Georgia)German (Austria)German (Germany)German (Switzerland)Greek (Greece)Gujarati (India)Hebrew (Israel)Hindi (India)Hungarian (Hungary)Icelandic (Iceland)Indonesian (Indonesia)Irish (Ireland)Italian (Italy)Japanese (Japan)Javanese (Latin, Indonesia)Kannada (India)Kazakh (Kazakhstan)Khmer (Cambodia)Korean (Korea)Lao (Laos)Latvian (Latvia)Lithuanian (Lithuania)Macedonian (North Macedonia)Malay (Malaysia)Malayalam (India)Maltese (Malta)Marathi (India)Mongolian (Mongolia)Nepali (Nepal)Norwegian Bokmål (Norway)Pashto (Afghanistan)Persian (Iran)Polish (Poland)Portuguese (Brazil)Portuguese (Portugal)Romanian (Romania)Russian (Russia)Serbian (Latin, Serbia)Sinhala (Sri Lanka)Slovak (Slovakia)Slovenian (Slovenia)Somali (Somalia)Spanish (Argentina)Spanish (Bolivia)Spanish (Chile)Spanish (Colombia)Spanish (Costa Rica)Spanish (Cuba)Spanish (Dominican Republic)Spanish (Ecuador)Spanish (El Salvador)Spanish (Equatorial Guinea)Spanish (Guatemala)Spanish (Honduras)Spanish (Mexico)Spanish (Nicaragua)Spanish (Panama)Spanish (Paraguay)Spanish (Peru)Spanish (Puerto Rico)Spanish (Spain)Spanish (United States)Spanish (Uruguay)Spanish (Venezuela)Sundanese (Indonesia)Swahili (Kenya)Swahili (Tanzania)Swedish (Sweden)Tamil (India)Tamil (Malaysia)Tamil (Singapore)Tamil (Sri Lanka)Telugu (India)Thai (Thailand)Turkish (Türkiye)Ukrainian (Ukraine)Urdu (India)Urdu (Pakistan)Uzbek (Latin, Uzbekistan)Vietnamese (Vietnam)Welsh (United Kingdom)Zulu (South Africa)English - Your AccentEnglish - American Accent视频翻译的目标语言。
translate_audio_only可选
类型boolean | null
默认值false
将翻译限制为语音轨道,同时保持面部不变。
speaker_num可选
类型integer | null
视频中的说话者数量。
enable_dynamic_duration可选
类型boolean | null
默认值true
允许动态调整时长,避免不同语言的语速差异破坏对话流畅度。
brand_glossary_id可选
类型string | null
用于选择 HeyGen 品牌术语表的标识符,以定制术语翻译。
srt_url可选
类型string | null
可选的自定义 SRT 字幕文件 URL。
srt_role可选
类型enum
inputoutput
指定所提供的 SRT 属于原视频还是其翻译版本。
enable_caption可选
类型boolean
默认值false
控制是否生成与翻译后视频配套的独立 SRT 字幕文件。
必填
规范名称,也可接受
文件参数接受公开的 https:// URL、最大 10 MB 的 data: URI,或上传文件的 file_url。 文件
输出
GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "heygen/v2/translate/precision",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 1000,
"usd": "1.00",
"charged": 1000,
"refunded": 0
},
"input": {
"video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
"output_language": "English"
},
"output": {
"video": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_name": "0-output.mp4",
"file_size": 1843200
},
"caption_file": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_name": "0-output.mp4",
"file_size": 1843200
}
},
"outputs": [
{
"type": "video",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_size": 1843200,
"width": 1280,
"height": 720,
"duration": 5,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
你的文件,由你选择每个 outputs[].url 都是存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
每个模型的结构相同图像、视频和音频均包含 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
- video
- object {url, content_type, file_name, file_size}包含翻译内容的视频文件。
- caption_file
- object {url, content_type, file_name, file_size} | null`enable_caption` 为 true 时生成的 SRT 字幕。
其他 HeyGen v2 变体
更多模型:唇形同步与数字人
对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh/developers/models/heygen/v2/translate/precision.md. 所有模型和指南: https://doitong.com/developers/llms.txt